# Interface IColorProvider

All Known Implementing Classes:
  `ColumnLabelProvider, DecoratingLabelProvider, PropertyColumnLabelProvider, TableColumnViewerLabelProvider, TreeColumnViewerLabelProvider, WorkbenchLabelProvider`

public interface IColorProvider
Interface to provide color representation for a given element.

See Also:
  - `IColorDecorator`

## Method Summary

Modifier and Type
Method
Description
`Color`
`getBackground(Object element)`
Provides a background color for the given element.
`Color`
`getForeground(Object element)`
Provides a foreground color for the given element.

## Method Details

### getForeground

Color getForeground(Object element)
Provides a foreground color for the given element.

Parameters:
  `element` - the element
Returns:
  the foreground color for the element, or `null` to use the default foreground color

### getBackground

Color getBackground(Object element)
Provides a background color for the given element.

Parameters:
  `element` - the element
Returns:
  the background color for the element, or `null` to use the default background color